# xarray.ufuncs.radians

`xarray.ufuncs.``radians` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.radians. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  radians(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Convert angles from degrees to radians.

  Parameters:

  x : array_like

  > Input array in degrees.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : ndarray

  > The corresponding radian values.

  See also

  `deg2rad`
    equivalent function

  Examples

  Convert a degree array to radians

      >>> deg = np.arange(12.) * 30.
      >>> np.radians(deg)
      array([ 0.        ,  0.52359878,  1.04719755,  1.57079633,  2.0943951 ,
              2.61799388,  3.14159265,  3.66519143,  4.1887902 ,  4.71238898,
              5.23598776,  5.75958653])

      >>> out = np.zeros((deg.shape))
      >>> ret = np.radians(deg, out)
      >>> ret is out
      True